<?php



// Load Nette Framework
require dirname(__FILE__) . '/../../../Nette/loader.php';


// Configure application
$configurator = new NConfigurator;

// Enable Nette Debugger for error visualisation & logging
$configurator->enableDebugger(dirname(__FILE__) . '/../log');

// Enable RobotLoader - this will load all classes automatically
$configurator->setTempDirectory(dirname(__FILE__) . '/../temp');
$configurator->createRobotLoader()
	->addDirectory(dirname(__FILE__))
	->register();

// Create Dependency Injection container from config.neon file
$configurator->addConfig(dirname(__FILE__) . '/config.neon');
$container = $configurator->createContainer();

// Setup router using mod_rewrite detection
if (function_exists('apache_get_modules') && in_array('mod_rewrite', apache_get_modules())) {
	$container->router[] = new NRoute('index.php', 'Front:Default:default', NRoute::ONE_WAY);

	$container->router[] = $adminRouter = new NRouteList('Admin');
	$adminRouter[] = new NRoute('admin/<presenter>/<action>', 'Default:default');

	$container->router[] = $frontRouter = new NRouteList('Front');
	$frontRouter[] = new NRoute('<presenter>/<action>[/<id>]', 'Default:default');

} else {
	$container->router = new NSimpleRouter('Front:Default:default');
}

// Run the application!
$container->application->run();
