<?php

/**
 * Test: NSimpleRouter with secured connection.
 *
 * @author     David Grudl
 * @package    Nette\Application\Routers
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$router = new NSimpleRouter(array(
	'id' => 12,
	'any' => 'anyvalue',
), NSimpleRouter::SECURED);

$url = new NUrlScript('http://nette.org/file.php');
$url->setScriptPath('/file.php');
$url->setQuery(array(
	'presenter' => 'myPresenter',
));
$httpRequest = new NHttpRequest($url);

$req = new NPresenterRequest(
	'othermodule:presenter',
	NHttpRequest::GET,
	array()
);

$url = $router->constructUrl($req, $httpRequest->url);
Assert::same( 'https://nette.org/file.php?presenter=othermodule%3Apresenter',  $url );
