<?php

/**
 * Test: NFileStorage expiration test.
 *
 * @author     David Grudl
 * @package    Nette\Caching
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$key = 'nette';
$value = 'rulez';

$cache = new NCache(new NFileStorage(TEMP_DIR));


// Writing cache...
$cache->save($key, $value, array(
	NCache::EXPIRATION => time() + 3,
));


// Sleeping 1 second
sleep(1);
clearstatcache();
Assert::true( isset($cache[$key]), 'Is cached?' );



// Sleeping 3 seconds
sleep(3);
clearstatcache();
Assert::false( isset($cache[$key]), 'Is cached?' );
