<?php

/**
 * Test: NMemcachedStorage tags dependency test.
 *
 * @author     David Grudl
 * @package    Nette\Caching
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';


if (!NMemcachedStorage::isAvailable()) {
	TestHelpers::skip('Requires PHP extension Memcache.');
}


$storage = new NMemcachedStorage('localhost', 11211, '', new NFileJournal(TEMP_DIR));
$cache = new NCache($storage);


// Writing cache...
$cache->save('nette-tags-key1', 'value1', array(
	NCache::TAGS => array('one', 'two'),
));

$cache->save('nette-tags-key2', 'value2', array(
	NCache::TAGS => array('one', 'three'),
));

$cache->save('nette-tags-key3', 'value3', array(
	NCache::TAGS => array('two', 'three'),
));

$cache['nette-tags-key4'] = 'value4';


// Cleaning by tags...
$cache->clean(array(
	NCache::TAGS => 'one',
));

Assert::false( isset($cache['nette-tags-key1']), 'Is cached nette-tags-key1?' );
Assert::false( isset($cache['nette-tags-key2']), 'Is cached nette-tags-key2?' );
Assert::true( isset($cache['nette-tags-key3']), 'Is cached nette-tags-key3?' );
Assert::true( isset($cache['nette-tags-key4']), 'Is cached nette-tags-key4?' );
