<?php

/**
 * Test: NEnvironment and loadConfig.
 *
 * @author     David Grudl
 * @package    Nette
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



NEnvironment::loadConfig('files/config.old.ini', 'production');

Assert::true( NEnvironment::getRouter() instanceof NSimpleRouter );

Assert::same( 'hello world', NEnvironment::getVariable('foo') );

Assert::same( 'hello world', constant('HELLO_WORLD') );

Assert::equal( NArrayHash::from(array(
	'adapter' => 'pdo_mysql',
	'params' => array(
		'host' => 'db.example.com',
	),
)), NEnvironment::getConfig('database') );
