<?php

/**
 * Test: NEnvironment minimal usage.
 *
 * @author     David Grudl
 * @package    Nette
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::null( NEnvironment::getVariable('foo', NULL), "Getting variable 'foo':" );


Assert::throws(create_function('', '
	NEnvironment::getVariable(\'foo\');
'), 'InvalidStateException', "Unknown environment variable 'foo'.");


// Defining constant 'APP_DIR':
NEnvironment::setVariable('appDir', '/myApp');
Assert::same( '/myApp', NEnvironment::getVariable('appDir') );


// Setting variable 'test'...
NEnvironment::setVariable('test', '%appDir%/test');
Assert::same( '/myApp/test', NEnvironment::getVariable('test') );


// Services
Assert::same( 'NHttpResponse', get_class(NEnvironment::getHttpResponse()) );
Assert::same( 'NApplication', get_class(NEnvironment::getApplication()) );
Assert::same( 'NCache', get_class(NEnvironment::getCache('my')) );


// Modes
Assert::false( NEnvironment::isConsole(), 'Is console?' );
Assert::true( NEnvironment::isProduction(), 'Is production mode?' );
