<?php

/**
 * Test: NConfigLoader: including files
 *
 * @author     David Grudl
 * @package    Nette\Config
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	$config = new NConfigLoader;
	$config->load(\'missing.neon\');
'), 'FileNotFoundException', "File 'missing.neon' is missing or is not readable.");

Assert::throws(create_function('', '
	$config = new NConfigLoader;
	$config->load(__FILE__);
'), 'InvalidArgumentException', "Unknown file extension '%a%.phpt'.");

Assert::throws(create_function('', '
	$config = new NConfigLoader;
	$config->load(\'files/config.sample.neon\', \'unknown\');
'), 'NAssertionException', "Missing section 'unknown' in file '%a%'.");
