<?php

/**
 * Test: NSession sections.
 *
 * @author     David Grudl
 * @package    Nette\Http
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



ob_start();

$container = id(new NConfigurator)->setTempDirectory(TEMP_DIR)->createContainer();

$session = $container->session;
Assert::false( $session->hasSection('trees'), 'hasSection() should have returned FALSE for a section with no keys set' );

$section = $session->getSection('trees');
Assert::false( $session->hasSection('trees'), 'hasSection() should have returned FALSE for a section with no keys set' );

$section->hello = 'world';
Assert::true( $session->hasSection('trees'), 'hasSection() should have returned TRUE for a section with keys set' );

$section = $session->getSection('default');
Assert::true( $section instanceof NSessionSection );
