<?php

/**
 * Test: NUIMacros and renderSnippets.
 *
 * @author     Jan Skrasek
 * @package    Nette\Latte
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



class InnerControl extends NControl
{
	public function render()
	{
		$template = new NTemplate;
		$template->registerFilter(new NLatteFilter);
		$template->_presenter = $this->getPresenter();
		$template->_control = $this;
		$template->setSource(<<<EOD
			Hello {snippet test}world{/snippet}!
EOD
		);
		$template->render();
	}
}

class MultiControl extends NPresenter
{
	private $payload;
	function getPayload()
	{
		return $this->payload;
	}
	function createComponentMulti()
	{
		$this->payload = (object) NULL;
		return new NMultiplier(create_function('$name', '
			$control = new InnerControl();
			$control->invalidateControl();
			return $control;
		'));
	}
	public function render()
	{
		$template = new NTemplate;
		$template->registerFilter(new NLatteFilter);
		$template->_control = $this;
		$template->render();
	}
}


$control = new MultiControl(new NDIContainer(array(
	'productionMode' => true,
)));
$control['multi-1'];
$control->snippetMode = true;
$control->render();

Assert::equal((object) array(
   'snippets' => array(
      'snippet-multi-1-test' => 'world',
   ),
), $control->payload);
