<?php

/**
 * Test: NUIMacros, renderSnippets and control with two templates.
 *
 * @author     Jan Skrasek
 * @package    Nette\Latte
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



class InnerControl extends NControl
{
	public function render()
	{
		$this->renderA();
		$this->renderB();
	}
	public function renderA()
	{
		$template = new NTemplate;
		$template->registerFilter(new NLatteFilter);
		$template->_presenter = $this->getPresenter();
		$template->_control = $this;
		$template->say = 'Hello';
		$template->setSource('{snippet testA}{$say}{/snippet}');
		$template->render();
	}
	public function renderB()
	{
		$template = new NTemplate;
		$template->registerFilter(new NLatteFilter);
		$template->_presenter = $this->getPresenter();
		$template->_control = $this;
		$template->say = 'world';
		$template->setSource('{snippet testB}{$say}{/snippet}');
		$template->render();
	}

}

class TestPresenter extends NPresenter
{
	private $payload;
	function getPayload()
	{
		return $this->payload;
	}
	function emptyPayload()
	{
		$this->payload = (object) NULL;
	}
	function createComponentMulti()
	{
		return new NMultiplier(create_function('', '
			return new InnerControl();
		'));
	}
	public function render()
	{
		$template = new NTemplate;
		$template->registerFilter(new NLatteFilter);
		$template->_control = $this;
		$template->render();
	}
}


$control = new TestPresenter(new NDIContainer(array(
	'productionMode' => true,
)));
$control->snippetMode = true;



$control->emptyPayload();
$control['multi-1']->invalidateControl();
$control->render();
Assert::equal((object) array(
	'snippets' => array(
		'snippet-multi-1-testA' => 'Hello',
		'snippet-multi-1-testB' => 'world',
   ),
), $control->payload);
