<?php

/**
 * Test: NLatteFilter: {control ...}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 * @keepTrailingSpaces
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



class MockComponent extends NObject
{
	function getComponent($name)
	{
		TestHelpers::note( __METHOD__ );
		TestHelpers::note( func_get_args() );
		return new MockControl;
	}

}



class MockControl extends NObject
{

	function __call($name, $args)
	{
		TestHelpers::note( __METHOD__ );
		TestHelpers::note( func_get_args() );
	}

}



$template = new NTemplate;
$template->registerFilter(new NLatteFilter);
$template->registerHelperLoader('NTemplateHelpers::loader');

$template->_control = new MockComponent;
$template->form = new MockControl;
$template->name = 'form';

(string) $template->setSource('
{control \'name\'}

{control form}

{control form:test}

{control $form:test}

{control $name:test}

{control $name:$name}

{control form var1}

{control form var1, 1, 2}

{control form var1 => 5, 1, 2}
');

Assert::same( array(
	"MockComponent::getComponent", array("name"),
	"MockControl::__call", array("render", array()),
	"MockComponent::getComponent", array("form"),
	"MockControl::__call", array("render", array()),
	"MockComponent::getComponent", array("form"),
	"MockControl::__call", array("renderTest", array()),
	"MockControl::__call", array("renderTest", array()),
	"MockComponent::getComponent", array("form"),
	"MockControl::__call", array("renderTest", array()),
	"MockComponent::getComponent", array("form"),
	"MockControl::__call", array("renderform", array()),
	"MockComponent::getComponent", array("form"),
	"MockControl::__call", array("render", array("var1")),
	"MockComponent::getComponent", array("form"),
	"MockControl::__call", array("render", array("var1", 1, 2)),
	"MockComponent::getComponent", array("form"),
	"MockControl::__call", array("render", array(array("var1" => 5, 0 => 1, 1 => 2))),
), TestHelpers::fetchNotes() );
