<?php

/**
 * Test: NLatteFilter: iCal template
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 * @keepTrailingSpaces
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



$container = id(new NConfigurator)->setTempDirectory(TEMP_DIR)->createContainer();

$template = new NFileTemplate(dirname(__FILE__) . '/templates/ical.latte');
$template->registerHelper('escape', 'NTemplateHelpers::escapeICal');
$template->registerFilter(new NLatteFilter);
$template->registerHelperLoader('NTemplateHelpers::loader');
$template->netteHttpResponse = $container->httpResponse;

$path = dirname(__FILE__) . '/expected/' . basename(__FILE__, '.phpt');
Assert::match(file_get_contents("$path.phtml"), codefix($template->compile()));
Assert::match(file_get_contents("$path.html"), $template->__toString(TRUE));
