<?php

/**
 * Test: NLatteFilter: {include file}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 * @keepTrailingSpaces
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



$latte = new NLatteFilter;
$latte->compiler->defaultContentType = NLatteCompiler::CONTENT_HTML;
$template = new NFileTemplate(dirname(__FILE__) . '/templates/include.latte');
$template->setCacheStorage($cache = new MockCacheStorage);
$template->registerFilter($latte);
$template->registerHelperLoader('NTemplateHelpers::loader');
$template->hello = '<i>Hello</i>';

$path = dirname(__FILE__) . '/expected/' . basename(__FILE__, '.phpt');
Assert::match(file_get_contents("$path.phtml"), codefix($template->compile()));
Assert::match(file_get_contents("$path.html"), $template->__toString(TRUE));
Assert::match(file_get_contents("$path.inc1.phtml"), $cache->phtml['include1.latte']);
Assert::match(file_get_contents("$path.inc2.phtml"), $cache->phtml['include2.latte']);
Assert::match(file_get_contents("$path.inc3.phtml"), $cache->phtml['include3.latte']);



$template = new NTemplate;
$template->registerFilter($latte);
$template->setSource('{include somefile.latte}');
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('template'=>$template)).'], EXTR_REFS);
	$template->render();
'), 'NotSupportedException', 'Macro {include "filename"} is supported only with IFileTemplate.');
