<?php

/**
 * Test: NLatteFilter: unknown macro.
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



$template = new NTemplate;
$template->registerFilter(new NLatteFilter);

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('template'=>$template)).'], EXTR_REFS);
	$template->setSource(\'{unknown}\')->compile();
'), 'NCompileException', 'Unknown macro {unknown}');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('template'=>$template)).'], EXTR_REFS);
	$template->setSource(\'<style>body {color:blue}</style>\')->compile();
'), 'NCompileException', 'Unknown macro {color:blue} (in JavaScript or CSS, try to put a space after bracket.)');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('template'=>$template)).'], EXTR_REFS);
	$template->setSource(\'<script>if (true) {return}</script>\')->compile();
'), 'NCompileException', 'Unknown macro {return} (in JavaScript or CSS, try to put a space after bracket.)');
