<?php

/**
 * Test: NLatteFilter: whitespace test II.
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



$template = new NTemplate;
$template->registerFilter(new NLatteFilter);

Assert::match(<<<EOD
qwerty

EOD

, (string) $template->setSource(<<<EOD
{* comment
*}
qwerty

EOD
));



Assert::match(<<<EOD
qwerty

EOD

, (string) $template->setSource(<<<EOD
{* comment
*}

qwerty

EOD
));



Assert::match(<<<EOD

qwerty

EOD

, (string) $template->setSource(<<<EOD
{* comment
*}


qwerty

EOD
));



Assert::match(<<<EOD
qwerty

EOD

, (string) $template->setSource(<<<EOD
{* comment
*}

{contentType text}
qwerty

EOD
));


Assert::match(<<<EOD
qwerty

EOD

, (string) $template->setSource(<<<EOD
{* comment
*}
{contentType text}
qwerty

EOD
));


Assert::match(<<<EOD
line 1
line 2
EOD

, (string) $template->setSource(<<<EOD
line 1 {* comment *}
line 2
EOD
));


Assert::match(<<<EOD
word 1  word 2
EOD

, (string) $template->setSource(<<<EOD
word 1 {* comment *} word 2
EOD
));
