<?php

/**
 * Test: NLatteFilter: {contentType application/xml}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 * @keepTrailingSpaces
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



restore_error_handler();



$container = id(new NConfigurator)->setTempDirectory(TEMP_DIR)->createContainer();

$template = new NFileTemplate(dirname(__FILE__) . '/templates/xml.latte');
$template->registerFilter(new NLatteFilter);
$template->registerHelperLoader('NTemplateHelpers::loader');

$template->hello = '<i>Hello</i>';
$template->id = ':/item';
$template->people = array('John', 'Mary', 'Paul', ']]>');
$template->comment = 'test -- comment';
$template->netteHttpResponse = $container->httpResponse;
$template->el = NHtml::el('div')->title('1/2"');

$path = dirname(__FILE__) . '/expected/' . basename(__FILE__, '.phpt');
Assert::match(file_get_contents("$path.phtml"), codefix($template->compile()));
Assert::match(file_get_contents("$path.html"), $template->__toString(TRUE));
