<?php

/**
 * Test: CompileExceptions have correct line number in mixed php/latte template
 *
 * @author     Jan Dolecek, David Grudl
 * @package    Nette\Latte
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$template = new NTemplate;
$template->registerFilter(new NLatteFilter);

try {
	$template->setSource(
	'<?php
	 // php block
	?>
	{notDefined line 4}
	')->compile();
} catch(NCompileException $e) {
	Assert::same(4, $e->sourceLine);
	Assert::same("Unknown macro {notDefined}", $e->getMessage());
}

try {
	$template->setSource(
	'{*
	*}
	<?xml ?>
	{notDefined line 4}
	')->compile();
} catch(NCompileException $e) {
	Assert::same(4, $e->sourceLine);
	Assert::same("Unknown macro {notDefined}", $e->getMessage());
}
