<?php

/**
 * Test: NClassReflection:is()
 *
 * @author     David Grudl
 * @package    Nette\Reflection
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Foo
{
}

abstract class Bar extends Foo implements Countable
{
}

interface Countable2 extends Countable
{
}


Assert::true( NClassReflection::from('Bar')->is('Bar') );
Assert::true( NClassReflection::from('Bar')->is('\Bar') );
Assert::true( NClassReflection::from('Bar')->is('Foo') );
Assert::true( NClassReflection::from('Bar')->is('\Foo') );
Assert::true( NClassReflection::from('Bar')->is('Countable') );
Assert::true( NClassReflection::from('Bar')->is('\Countable') );

Assert::true( NClassReflection::from('Foo')->is('Foo') );
Assert::false( NClassReflection::from('Foo')->is('Bar') );
Assert::false( NClassReflection::from('Foo')->is('Countable') );

Assert::true( NClassReflection::from('Countable')->is('Countable') );
Assert::false( NClassReflection::from('Countable')->is('Bar') );

Assert::true( NClassReflection::from('Countable2')->is('Countable2') );
Assert::true( NClassReflection::from('Countable2')->is('Countable') );
