<?php

/**
 * Test: NPermission Ensures that removal of a Role results in its rules being removed.
 *
 * @author     David Grudl
 * @package    Nette\Security
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$acl = new NPermission;
$acl->addRole('guest');
$acl->allow('guest');
Assert::true( $acl->isAllowed('guest') );
$acl->removeRole('guest');
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('acl'=>$acl)).'], EXTR_REFS);
	$acl->isAllowed(\'guest\');
'), 'InvalidStateException', "Role 'guest' does not exist.");

$acl->addRole('guest');
Assert::false( $acl->isAllowed('guest') );
