<?php

/**
 * Test: NPermission Ensures that removal of all Resources results in Resource-specific rules being removed.
 *
 * @author     David Grudl
 * @package    Nette\Security
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$acl = new NPermission;
$acl->addResource('area');
$acl->allow(NULL, 'area');
Assert::true( $acl->isAllowed(NULL, 'area') );
$acl->removeAllResources();
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('acl'=>$acl)).'], EXTR_REFS);
	$acl->isAllowed(NULL, \'area\');
'), 'InvalidStateException', "Resource 'area' does not exist.");

$acl->addResource('area');
Assert::false( $acl->isAllowed(NULL, 'area') );
