<?php

/**
 * Test: NArrays::get()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$arr  = array(
	NULL => 'first',
	1 => 'second',
	7 => array(
		'item' => 'third',
	),
);

// Single item

Assert::same( 'first', NArrays::get($arr, NULL) );
Assert::same( 'second', NArrays::get($arr, 1) );
Assert::same( 'second', NArrays::get($arr, 1, 'x') );
Assert::same( 'x', NArrays::get($arr, 'undefined', 'x') );
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('arr'=>$arr)).'], EXTR_REFS);
	NArrays::get($arr, \'undefined\');
'), 'InvalidArgumentException', "Missing item 'undefined'.");



// Traversing

Assert::same( array(
	'' => 'first',
	1 => 'second',
	7 => array(
		'item' => 'third',
	),
), NArrays::get($arr, array()) );


Assert::same( 'third', NArrays::get($arr, array(7, 'item')) );
