<?php

/**
 * Test: NArrays::getRef()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$arr  = array(
	NULL => 'first',
	1 => 'second',
	7 => array(
		'item' => 'third',
	),
);

// Single item

$dolly = $arr;
$item = & NArrays::getRef($dolly, NULL);
$item = 'changed';
Assert::same( array(
	'' => 'changed',
	1 => 'second',
	7 => array(
		'item' => 'third',
	),
), $dolly );


$dolly = $arr;
$item = & NArrays::getRef($dolly, 'undefined');
$item = 'changed';
Assert::same( array(
	'' => 'first',
	1 => 'second',
	7 => array(
		'item' => 'third',
	),
	'undefined' => 'changed',
), $dolly );



// Traversing

$dolly = $arr;
$item = & NArrays::getRef($dolly, array());
$item = 'changed';
Assert::same( 'changed', $dolly );


$dolly = $arr;
$item = & NArrays::getRef($dolly, array(7, 'item'));
$item = 'changed';
Assert::same( array(
	'' => 'first',
	1 => 'second',
	7 => array(
		'item' => 'changed',
	),
), $dolly );



// Error

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('arr'=>$arr)).'], EXTR_REFS);
	$dolly = $arr;
	$item = & NArrays::getRef($dolly, array(7, \'item\', 3));
'), 'InvalidArgumentException', 'Traversed item is not an array.');
