<?php

/**
 * Test: NArrays::renameKey()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$arr  = array(
	NULL => 'first',
	FALSE => 'second',
	1 => 'third',
	7 => 'fourth'
);

Assert::same( array(
	'' => 'first',
	0 => 'second',
	1 => 'third',
	7 => 'fourth',
), $arr );


NArrays::renameKey($arr, '1', 'new1');
NArrays::renameKey($arr, 0, 'new2');
NArrays::renameKey($arr, NULL, 'new3');
NArrays::renameKey($arr, '', 'new4');
NArrays::renameKey($arr, 'undefined', 'new5');

Assert::same( array(
	'new3' => 'first',
	'new2' => 'second',
	'new1' => 'third',
	7 => 'fourth',
), $arr );
