<?php

/**
 * Test: NJson::decode()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::same( "ok", NJson::decode('"ok"') );
Assert::null( NJson::decode('') );
Assert::null( NJson::decode('null') );
Assert::null( NJson::decode('NULL') );


Assert::equal( (object) array('a' => 1), NJson::decode('{"a":1}') );
Assert::same( array('a' => 1), NJson::decode('{"a":1}', NJson::FORCE_ARRAY) );



Assert::throws(create_function('', '
	NJson::decode(\'{\');
'), 'NJsonException', 'Syntax error, malformed JSON');



Assert::throws(create_function('', '
	NJson::decode(\'{}}\');
'), 'NJsonException', 'Syntax error, malformed JSON');



Assert::throws(create_function('', '
	NJson::decode("\\x00");
'), 'NJsonException', 'Unexpected control character found');
