<?php

/**
 * Test: NNeon::decode errors.
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	NNeon::decode("Hello\\nWorld");
'), 'NNeonException', "Unexpected 'World' on line 2, column 1." );


Assert::throws(create_function('', '
	NNeon::decode("- Dave,\\n- Rimmer,\\n- Kryten,\\n");
'), 'NNeonException', "Unexpected ',' on line 1, column 6." );


Assert::throws(create_function('', '
	NNeon::decode("- first: Dave\\n last: Lister\\n gender: male\\n");
'), 'NNeonException', "Unexpected ':' on line 1, column 7." );


Assert::throws(create_function('', '
	NNeon::decode(\'item [a, b]\');
'), 'NNeonException', "Unexpected ',' on line 1, column 7." );


Assert::throws(create_function('', '
	NNeon::decode(\'{,}\');
'), 'NNeonException', "Unexpected ',' on line 1, column 1." );


Assert::throws(create_function('', '
	NNeon::decode(\'{a, ,}\');
'), 'NNeonException', "Unexpected ',' on line 1, column 4." );
