<?php

/**
 * Test: NStrings and RegexpException run-time error.
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	NStrings::split("0123456789\\xFF", \'#\\d#u\');
'), 'NRegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

Assert::throws(create_function('', '
	NStrings::match("0123456789\\xFF", \'#\\d#u\');
'), 'NRegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

Assert::throws(create_function('', '
	NStrings::matchAll("0123456789\\xFF", \'#\\d#u\');
'), 'NRegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

Assert::throws(create_function('', '
	NStrings::replace("0123456789\\xFF", \'#\\d#u\', \'x\');
'), 'NRegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

function cb() { return 'x'; }

Assert::throws(create_function('', '
	NStrings::replace("0123456789\\xFF", \'#\\d#u\', callback(\'cb\'));
'), 'NRegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');
