<?php

/**
 * Test: NStrings and RegexpException compile error.
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	NStrings::split(\'0123456789\', \'#*#\');
'), 'NRegexpException', 'preg_split(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

Assert::throws(create_function('', '
	NStrings::match(\'0123456789\', \'#*#\');
'), 'NRegexpException', 'preg_match(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

Assert::throws(create_function('', '
	NStrings::matchAll(\'0123456789\', \'#*#\');
'), 'NRegexpException', 'preg_match_all(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

Assert::throws(create_function('', '
	NStrings::replace(\'0123456789\', \'#*#\', \'x\');
'), 'NRegexpException', 'preg_replace(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

function cb() { return 'x'; }

Assert::throws(create_function('', '
	NStrings::replace(\'0123456789\', \'#*#\', callback(\'cb\'));
'), 'NRegexpException', 'preg_match(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');
