<?php

/**
 * Test: NTokenizer::fetch()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$tokenizer = new NTokenizer(array(
	'\d+',
	'\s+',
	'\w+',
));
$tokenizer->tokenize('say 123');
Assert::false( $tokenizer->fetch('s') );
Assert::same( 'say', $tokenizer->fetch('say') );
Assert::same( ' ', $tokenizer->fetch() );



$tokenizer = new NTokenizer(array(
	T_DNUMBER => '\d+',
	T_WHITESPACE => '\s+',
	T_STRING => '\w+',
));
$tokenizer->tokenize("say 123");
Assert::same( NTokenizer::createToken('say', T_STRING, 1), $tokenizer->fetchToken('say') );
Assert::same( ' ', $tokenizer->fetch() );
