<?php

/**
 * Test: NObject extension method via interface.
 *
 * @author     David Grudl
 * @package    Nette
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



interface IFirst
{}

interface ISecond extends IFirst
{}

class TestClass extends NObject implements ISecond
{
	public $foo = 'Hello', $bar = 'World';
}



function IFirst_join(ISecond $that, $separator)
{
	return __METHOD__ . ' says ' . $that->foo . $separator . $that->bar;
}



function ISecond_join(ISecond $that, $separator)
{
	return __METHOD__ . ' says ' . $that->foo . $separator . $that->bar;
}



NClassReflection::from('IFirst')->setExtensionMethod('join', 'IFirst_join');
NClassReflection::from('ISecond')->setExtensionMethod('join', 'ISecond_join');

$obj = new TestClass;
Assert::same( 'ISecond_join says Hello*World', $obj->join('*') );
